PEE(1)

NAME
pee - tee standard input to pipes

SYNOPSIS

pee [--[no-]ignore-sigpipe] [--[no-]ignore-write-errors] [["command"...]]

DESCRIPTION

pee is like tee but for pipes. Each command is run and fed a copy of the standard input. The output of all commands is sent to stdout.

Note that while this is similar to tee, a copy of the input is not sent to stdout, like tee does. If that is desired, use pee cat ...

OPTIONS

--ignore-sigpipe, --no-ignore-sigpipe
    Do (not) ignore SIGPIPE. Any command started by pee might cause a SIGPIPE when it exists. If you ignore SIGPIPE, you probably also want to ignore write errors (see below). Ignoring SIGPIPE is the default behaviour.

--ignore-write-errors, --no-ignore-write-errors
    Do (not) ignore write errors. When a command started by pee is no more accepting data via the pipe between itself and pee, a write error occurs in pee. If this error is not ignored, pee is going to terminate all child processes and exists. Ignoring write errors is the default behaviour.

SEE ALSO

tee(1), pipe(7)

AUTHOR

Miek Gieben